%define ver     5.0.0
# update gccver here and GCCVER in Makefile
%define gccver	4.1.0

Summary: LSB Build environment header files for C++ development
Name: lsb-build-c++
Version: %ver
Release: 0.20190202.1
License: LF/LGPL
Vendor: Linux Foundation
Packager: LSB Project <lsb-discuss@linux-foundation.org>
Group: Development/Tools
Source: lsb-build-c++-%ver.tar.gz
Source1: gcc-core-%gccver.tar.bz2
Source2: gcc-g++-%gccver.tar.bz2
#Patch0: gcc-configure.patch
Patch1: gcc41-ldbl-default-libstdc++.patch
Patch2: gcc-locale.patch
Patch3: gcc-bits.patch
Patch4: gcc-gets.patch
Patch5: gcc-denorm.patch
Patch6: gcc-thisify.patch
Patch7: no-underflow.patch
BuildRoot: /var/tmp/lsb-build-c++-root
AutoReqProv: no
# Does not strictly require lsb
#Requires: lsb >= 3.1
Requires: lsb-build-base
Obsoletes: lsbdev-c++
BuildRequires: lsb-build-base lsb-build-cc

%description
This package adds C++ building support for the lsb-build packages.  
It provides a set of header files configured from GNU C++ %gccver.

%prep
%setup -q
tar xjf %{SOURCE1}
tar xjf %{SOURCE2}
cd gcc-%gccver
%patch1
cd ..
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7

%build
(cd gcc-%gccver/libstdc++-v3 ; \
	CC=/opt/lsb/bin/lsbcc CXX=/opt/lsb/bin/lsbc++ ./configure \
	--prefix=/opt/lsb --enable-threads=posix \
	--with-gxx-include-dir=/opt/lsb/include/c++ \
	--enable-clocale=gnu --enable-symvers=gnu --disable-multilib \
        || true)

%install
rm -rf $RPM_BUILD_ROOT
(cd gcc-%gccver/libstdc++-v3/libsupc++; make install-glibcxxinstallHEADERS DESTDIR=$RPM_BUILD_ROOT)
(cd gcc-%gccver/libstdc++-v3/include; make install DESTDIR=$RPM_BUILD_ROOT)
mkdir -p $RPM_BUILD_ROOT/opt/lsb/doc/lsb-build-c++
cp README Licence COPYING $RPM_BUILD_ROOT/opt/lsb/doc/lsb-build-c++
rm -rf $RPM_BUILD_ROOT/opt/lsb/lib* $RPM_BUILD_ROOT/opt/lsb/lib64*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /opt/lsb/doc/lsb-build-c++
/opt/lsb/doc/lsb-build-c++/*
%dir /opt/lsb/include/c++
/opt/lsb/include/c++/*

%changelog
* Wed Nov 05 2008 Stew Benedict <stewb@linux-foundation.org>
- be specific with %%files list

* Wed Jun 4 2008 Denis Silakov <silakov@ispras.ru>
- Support for multiversion libs

* Thu May  1 2008 Mats Wichmann <mats@freestandards.org>
- uplift upstream package version to g++ 4.1.0

